Enclosed (JUnit API)
Date: 2011-08-22

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.junit.experimental.runners
Class Enclosed

    java.lang.Object
      org.junit.runner.Runner
          org.junit.runners.ParentRunner<Runner>
              org.junit.runners.Suite
                  org.junit.experimental.runners.Enclosed

All Implemented Interfaces:
  Describable, Filterable, Sortable

    public class Enclosed

extends Suite

If you put tests in inner classes, Ant, for example, won't find them. By running the outer class with Enclosed, the tests in the inner classes will be run. You might put tests in inner classes to group them for convenience or to share constants. So, for example:

      \@RunWith(Enclosed.class)
      public class ListTests {
            ...useful shared stuff...
            public static class OneKindOfListTest {...}
            public static class AnotherKind {...}
      }

For a real example, @see org.junit.tests.manipulation.SortableTest.

Nested Class Summary

Nested classes/interfaces inherited from class org.junit.runners.Suite
`Suite.SuiteClasses`

Constructor Summary
`Enclosed(Class<?> klass, RunnerBuilder builder)` Only called reflectively.

Method Summary

Methods inherited from class org.junit.runners.Suite
`describeChild, emptySuite, getChildren, runChild`

Methods inherited from class org.junit.runners.ParentRunner
`childrenInvoker, classBlock, classRules, collectInitializationErrors, filter, getDescription, getName, getTestClass, run, runLeaf, setScheduler, sort, validatePublicVoidNoArgMethods, withAfterClasses, withBeforeClasses`

Methods inherited from class org.junit.runner.Runner
`testCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Enclosed

    public Enclosed(Class<?> klass,
                    RunnerBuilder builder)
             throws Throwable

  Only called reflectively. Do not use programmatically.

  Throws:
    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD